# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/soc/fsl/fsl,layerscape-scfg.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Freescale Layerscape Supplemental Configuration Unit

maintainers:
  - Shawn Guo <shawnguo@kernel.org>

description: |
  SCFG is the supplemental configuration unit, that provides SoC specific
  configuration and status registers for the chip. Such as getting PEX port
  status.

properties:
  compatible:
    items:
      - enum:
          - fsl,ls1012a-scfg
          - fsl,ls1021a-scfg
          - fsl,ls1028a-scfg
          - fsl,ls1043a-scfg
          - fsl,ls1046a-scfg
      - const: syscon

  reg:
    maxItems: 1

  little-endian: true
  big-endian: true

  '#address-cells':
    const: 1

  '#size-cells':
    const: 1

  ranges: true

patternProperties:
  "^interrupt-controller@[a-f0-9]+$":
    $ref: /schemas/interrupt-controller/fsl,ls-extirq.yaml#

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    syscon@1570000 {
        compatible = "fsl,ls1021a-scfg", "syscon";
        reg = <0x1570000 0x10000>;
    };
